version: '3'

services:

  php-fpm:
    image: php:8.3-fpm
    expose:
      - "9000"
    volumes:
      - ./www:/var/www

  nginx:
    image: nginx:stable
    ports:
      - "8080:80"
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/default.conf
      - ./www:/var/www
    depends_on:
      - php-fpm
